KausateKausate Docs
Viewing API version 2026-05-01. View the latest version.

Autocomplete

Suggest companies by name as the user types, matched by name prefix. Returns up to `limit` companies (default 10, maximum 50).

GET
/v2/companies/search/autocomplete
X-API-Key<token>

Sign up at Kausate.com to get an API key

In: header

Query Parameters

jurisdictionCode?|
query*string
Length2 <= length
limit?|
Default10
dataSource?|

Header Parameters

Kausate-Version?string
Default"2026-05-01"
Formatdate

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl "https://api.kausate.com/v2/companies/search/autocomplete?jurisdictionCode=zz&query=Sandbox+Logistics" \  -H "X-API-Key: $KAUSATE_API_KEY" \  -H "Kausate-Version: 2026-05-01"
{
  "results": [
    {
      "kausateId": "string",
      "jurisdictionCode": "aa",
      "name": "string",
      "alternativeNames": "string",
      "identifiers": [
        {
          "value": "string",
          "type": "ad_commercial_register_number",
          "source": "string",
          "description": "string",
          "extra": {}
        }
      ]
    }
  ]
}
{
  "detail": "Invalid company ID format",
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "API key is required",
  "code": "auth.unauthorized",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Invalid API key",
  "code": "auth.forbidden",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": [
    {
      "loc": [
        "body",
        "kausateId"
      ],
      "msg": "Field required",
      "type": "missing"
    }
  ],
  "code": "request.invalid",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "The data source is rate-limiting requests right now, please try again later",
  "code": "source.rate_limited",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "An unexpected error occurred. If this persists, please contact support@kausate.com",
  "code": "internal.unexpected",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "This capability is offered for the requested jurisdiction but is not usable right now because of a fault on our side. Please contact support@kausate.com",
  "code": "capability.not_available",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Network error while reaching the data source",
  "code": "source.network_error",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}
{
  "detail": "Data source temporarily unavailable",
  "code": "source.unavailable",
  "request_id": "req_01J8Z5V4Q2X9N7B3C6D1E0F2G4"
}

Last updated on